読者です 読者をやめる 読者になる 読者になる

IT Notebook

ITについての備忘録的なブログです

Ansible - エラー「failed=True msg='boto required for this module'」

Ansibleでec2モジュールを使用した時に出力されたエラー

エラー出力

failed=True msg='boto required for this module'

状況

  • Ansibleはvirtualenv環境で実行
  • Pythonのバージョン問題なし
  • pipでansible/botoはインストール済み

原因

  • 実環境にbotoがインストールされていなかったのが原因

対応

sudo pip install boto

インストールしているモジュールを要求されて結構はまってしまったwww